Skip to main content
GET
List series

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

library_id
string[]
collection_id
string[]
status
enum<string>[]
Available options:
ENDED,
ONGOING,
ABANDONED,
HIATUS
read_status
enum<string>[]
Available options:
UNREAD,
READ,
IN_PROGRESS
publisher
string[]
language
string[]
genre
string[]
tag
string[]
age_rating
string[]
release_year
string[]
sharing_label
string[]
deleted
boolean
complete
boolean
oneshot
boolean
unpaged
boolean
search_regex
string

Search by regex criteria, in the form: regex,field. Supported fields are TITLE and TITLE_SORT.

page
integer

Zero-based page index (0..N)

size
integer

The size of the page to be returned

sort
string[]

Sorting criteria in the format: property(,asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

author
string[]

Author criteria in the format: name,role. Multiple author criteria are supported.

Response

OK

content
object[]
empty
boolean
first
boolean
last
boolean
number
integer<int32>
numberOfElements
integer<int32>
pageable
object
size
integer<int32>
sort
object
totalElements
integer<int64>
totalPages
integer<int32>